﻿using DotNetAuth.Profiles;
using System;
using Wisej.Web;

namespace Wisej.OpenAuth
{
	public partial class Page1 : Page
	{
		public Page1()
		{
			InitializeComponent();
		}

		private void button1_Click(object sender, EventArgs e)
		{
			var manager = new AuthenticationManager(
				LoginProviderRegistry.Google,
				"GOOGLE APP ID",
				"GOOGLE SECRET KEY"
			);

			manager.RequiredProperties = new[] {
				ProfileProperty.DisplayName,
				ProfileProperty.BirthDate,
				ProfileProperty.PictureLink
			};

			manager.Authenticate((profile)=> {

				this.label1.Text = profile.ToJSON();
				this.pictureBox1.ImageSource = profile.PictureLink;

			});
		}

		private void button2_Click(object sender, EventArgs e)
		{
			var manager = new AuthenticationManager(
				LoginProviderRegistry.Facebook,
				"FACEBOOK APP ID",
				"FACEBOOK SECRET KEY"
			);

			manager.Authenticate((profile) => {

				this.label1.Text = profile.ToJSON();
				this.pictureBox1.ImageSource = profile.PictureLink;

			});

		}

		private void button3_Click(object sender, EventArgs e)
		{
			var manager = new AuthenticationManager(
				LoginProviderRegistry.Microsoft,
				"MICROSOFT APP ID",
				"MICROSOFT SECRET KEY"
			);

			manager.Authenticate((profile) => {

				this.label1.Text = profile.ToJSON();
				this.pictureBox1.ImageSource = profile.PictureLink;

			});

		}

		private void button4_Click(object sender, EventArgs e)
		{
			var manager = new AuthenticationManager(
				LoginProviderRegistry.Twitter,
				"TWITTER APP ID",
				"TWITTER SECRET KEY"
			);

			manager.Authenticate((profile) => {

				this.label1.Text = profile.ToJSON();
				this.pictureBox1.ImageSource = profile.PictureLink;

			});

		}

		private void button5_Click(object sender, EventArgs e)
		{
			var manager = new AuthenticationManager(
				LoginProviderRegistry.Yahoo,
				"YAHOO APP ID",
				"YAHOO SECRET KEY"
			);

			manager.Authenticate((profile) => {

				this.label1.Text = profile.ToJSON();
				this.pictureBox1.ImageSource = profile.PictureLink;

			});

		}
	}
}
